# This specfile was created based on Conectiva Linux 9.0, but it should
# work on any relatively up-to-date RPM based distribution

Name: reply-o-matic
Version: 1.5.0
Release: 1
Summary: E-Mail autoresponse software
License: GPLv2
URL: http://sourceforge.net/projects/%{name}
Source: http://dl.df.net/%{name}/%{name}-%{version}.tar.gz
Group: Applications/Internet
Requires: smtpdaemon
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Reply-o-Matic is a highly configurable, secure, auto reply software, to be 
used in conjunction with any Mail Transfer Agent or local delivery agent. 
It provides an easy, uniformed way, to provide auto to e-mails.

%prep
%setup -q

%build
%{__make} %{?_smp_mflags}

%install
if [ -d %{buildroot} ]; then
%{__rm} -rf %{buildroot}
fi
%{__install} -Dp -m0755 rom %{buildroot}%{_sbindir}/%{name}
%{__install} -Dp -m0644 rom.1 %{buildroot}%{_mandir}/man1/%{name}.1
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/rom/.rates/
%{__install} -d -m0755 %{buildroot}%{_sysconfdir}/rom/.ignores/
%{__touch} %{buildroot}%{_sysconfdir}/rom/paranoid

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc ChangeLog CREDITS HEADERS LICENSE README RELEASE_NOTES
%dir %{_sysconfdir}/rom
%attr(1755,root,root) %dir %{_sysconfdir}/rom/.rates
%dir %{_sysconfdir}/rom/.ignores
%attr(0755,root,root) %{_sbindir}/rom
%ghost %attr(0755,root,1) %{_sysconfdir}/rom/paranoid
%{_mandir}/man1/rom.1*

%changelog
* Thu Apr 12 2007 Rodrigo Barbosa <rodrigob@darkover.org>
+ reply-o-matic-1.5.0-1
- New stable release (See ChangeLog for changes)
- Included new flag to set the charset for -s and -b

* Tue Mar 20 2007 Rodrigo Barbosa <rodrigob@darkover.org>
+ reply-o-matic-1.4.3-1
- New stable release (See ChangeLog for changes)
- Fixed some address recognition bugs (James Webb)

* Mon Oct 30 2006 Rodrigo Barbosa <rodrigob@darkover.org>
+ reply-o-matic-1.4.2-1
- New stable release (See ChangeLog for changes)
- Fixed segfault class bug (Simon Allen)

* Wed Aug 23 2006 Rodrigo Barbosa <rodrigob@darkover.org>
+ reply-o-matic-1.4.1-1
- New stable release (See ChangeLog for changes)
- The following specfile changes are made based on feedback from
  RPMForge (dag)
- rom is no logger suid/sgid by default
- paranoid file is no longer provided
- Global .rates dir is created with 1755 mode by default (security
  override)

* Sun Aug 20 2006 Rodrigo Barbosa <rodrigob@darkover.org>
+ reply-o-matic-1.4.0-1
- New stable release (See ChangeLog for changes)

* Tue Nov 25 2003 Rodrigo Barbosa <rodrigob@suespammers.org>
+ reply-o-matic-1.2.0-1cl
- New stable release

* Mon Jan 14 2002 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ reply-o-matic-1.1.1-1cl
- New development release

* Mon Jan 14 2002 Rodrigo Barbosa <rodrigob@bh.conectiva.com.br>
+ reply-o-matic-1.1.0-1cl
- New development release

* Fri Jan 12 2002 Rodrigo Barbosa <rodrigob@suespammers.org>
+ reply-o-matic-0.99.0-2cl
- New release

* Fri Jan 11 2002 Rodrigo Barbosa <rodrigob@suespammers.org>
+ reply-o-matic-0.99.0-1cl
- First RPM packaging


